#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 keys
version:              3.12.3
visibility:           public
id:                   keys-3.12.3-CApopMrngkd4v1pMzlmSLF
key:                  keys-3.12.3-CApopMrngkd4v1pMzlmSLF
license:              BSD-3-Clause
copyright:            Copyright (C) 2011-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/keys/
synopsis:             Keyed functors and containers
description:
    This package provides a bunch of ad hoc classes for accessing parts of a container.

    In practice this package is largely subsumed by the
    <https://hackage.haskell.org/package/lens lens package>,
    but it is maintained for now as it has much
    simpler dependencies.

category:             Data Structures, Containers
abi:                  95670f3ebbb15fcef4395f52f2fa04f4
exposed:              True
exposed-modules:      Data.Key
import-dirs:          /usr/lib/ghc-9.2.8/site-local/keys-3.12.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/keys-3.12.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-keys
hs-libraries:         HSkeys-3.12.3-CApopMrngkd4v1pMzlmSLF
depends:
    array-0.5.4.0 base-4.16.4.0 comonad-5.0.8-2MGULbA20KUKXAgMD7ZS7
    containers-0.6.5.1 free-5.1.10-3XMx8nI7WTWHQiVJlcLUbu
    hashable-1.4.4.0-Joosdm9EPsstoXhsVunPQ
    semigroupoids-5.3.7-6bTcTjBxMCO1vSIIvPCv4m
    tagged-0.8.8-404YCiJ2agdDxJGZ4AybXg transformers-0.5.6.2
    transformers-compat-0.7.2-9ApmiRwA3hS7UuQpOomcS
    unordered-containers-0.2.20-Hx67rce3cSdLKcnqodh5s4

haddock-interfaces:   /usr/share/doc/haskell-keys/html/keys.haddock
haddock-html:         /usr/share/doc/haskell-keys/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

